com.ihr.xbrl.mapper

## Enum Fact.Type

- java.lang.Object
- - java.lang.Enum<Fact.Type>
  - - com.ihr.xbrl.mapper.Fact.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Fact.Type>
  Enclosing class:
    Fact

      public static enum Fact.Type
      extends java.lang.Enum<Fact.Type>

  The Enum Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROUP` Represents a group of items mapped to target elements and or tuples from which unique values after the mapping process of the entire group is executed will be extracted and added to the parent node.
    `ITEM` Represents an XBRL item.
    `TUPLE` Represents an XBRL Tuple.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Fact.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Fact.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ITEM

          public static final Fact.Type ITEM

      Represents an XBRL item.

    - #### TUPLE

          public static final Fact.Type TUPLE

      Represents an XBRL Tuple.

    - #### GROUP

          public static final Fact.Type GROUP

      Represents a group of items mapped to target elements and or tuples from which unique values after the mapping process of the entire group is executed will be extracted and added to the parent node.

  - ### Method Detail

    - #### values

          public static Fact.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Fact.Type c : Fact.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Fact.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null